Subject: Re: [PATCH 5/5] libata/drivers: Add pata_macio, driver Apple PowerMac/PowerBook IDE controller

From: Tejun Heo <[email-masked]>
Date: Wed, 02 Dec 2009 10:07:27 +0900

On 12/02/2009 09:36 AM, Benjamin Herrenschmidt wrote:
> This is a libata driver for the "macio" IDE controller used on most Apple
> PowerMac and PowerBooks. It's a libata equivalent of drivers/ide/ppc/pmac.c
> 
> It supports all the features of its predecessor, including mediabay hotplug
> and suspend/resume. It should also support module load/unload.
> 
> The timing calculations have been simplified to use pre-calculated tables
> compared to drivers/ide/pmac.c and it uses the new mediabay interface
> provided by a previous patch.

Other than the media bay locking thing I mentioned before, it looks
good to me and the media bay thing can be dealth with further patches,
so...

Acked-by: Tejun Heo <[email-masked]>

Thanks.

-- 
tejun